Index: pjproject/branches/1.x/Makefile
===================================================================
--- pjproject/branches/1.x/Makefile	(revision 3674)
+++ pjproject/branches/1.x/Makefile	(revision 3677)
@@ -2,4 +2,5 @@
 include build/host-$(HOST_NAME).mak
 -include user.mak
+include version.mak
 
 DIRS = pjlib/build pjlib-util/build pjnath/build third_party/build pjmedia/build pjsip/build pjsip-apps/build $(EXTRA_DIRS)
@@ -24,5 +25,5 @@
 	fi
 	for dir in $(DIRS); do \
-		if $(MAKE) $(MAKE_FLAGS) -C $$dir/build $@; then \
+		if $(MAKE) $(MAKE_FLAGS) -C $$dir $@; then \
 		    true; \
 		else \
@@ -93,5 +94,4 @@
 
 prefix = $(ac_prefix)
-include version.mak
 
 install:
Index: pjproject/branches/1.x/pjlib-util/build/Makefile
===================================================================
--- pjproject/branches/1.x/pjlib-util/build/Makefile	(revision 3674)
+++ pjproject/branches/1.x/pjlib-util/build/Makefile	(revision 3677)
@@ -4,4 +4,5 @@
 
 include ../../build.mak
+include ../../version.mak
 include $(PJDIR)/build/common.mak
 
@@ -56,8 +57,12 @@
 
 doc:
-	cd .. && rm -rf docs/html docs/latex && doxygen docs/doxygen.cfg
-	@if [ -n "$(WWWDIR)" ]; then \
-		echo "Copying to $(WWWDIR)/pjlib-util/docs/html.." ; \
-		cp -a ../docs/html/* $(WWWDIR)/pjlib-util/docs/html/ ; \
+	cd .. && rm -rf docs/$(PJ_VERSION) && doxygen docs/doxygen.cfg
+	@if [ -n "$(WWWDIR)" ] && ! [ -d "$(WWWDIR)/docs/$(PJ_VERSION)/pjlib-util/docs/html" ] ; then \
+		echo "Creating docs/$(PJ_VERSION)/pjlib-util/docs/html" ; \
+		mkdir -p $(WWWDIR)/docs/$(PJ_VERSION)/pjlib-util/docs/html ; \
+	fi 
+	@if [ -n "$(WWWDIR)" ] && [ -d "$(WWWDIR)/docs/$(PJ_VERSION)/pjlib-util/docs/html" ] ; then \
+		echo "Copying docs/$(PJ_VERSION) to $(WWWDIR)/docs/$(PJ_VERSION)/pjlib-util/docs/html.." ; \
+		cp -v -a ../docs/$(PJ_VERSION)/html/* $(WWWDIR)/docs/$(PJ_VERSION)/pjlib-util/docs/html/ ; \
 	fi
 
Index: pjproject/branches/1.x/pjlib-util/docs/doxygen.cfg
===================================================================
--- pjproject/branches/1.x/pjlib-util/docs/doxygen.cfg	(revision 3674)
+++ pjproject/branches/1.x/pjlib-util/docs/doxygen.cfg	(revision 3677)
@@ -24,5 +24,5 @@
 # if some version control system is used.
 
-PROJECT_NUMBER         = 
+PROJECT_NUMBER         = $(PJ_VERSION)
 
 # The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute) 
@@ -31,5 +31,5 @@
 # where doxygen was started. If left blank the current directory will be used.
 
-OUTPUT_DIRECTORY       = docs
+OUTPUT_DIRECTORY       = docs/$(PJ_VERSION)
 
 # The OUTPUT_LANGUAGE tag is used to specify the language in which all 
Index: pjproject/branches/1.x/pjlib-util/docs/header.html
===================================================================
--- pjproject/branches/1.x/pjlib-util/docs/header.html	(revision 3674)
+++ pjproject/branches/1.x/pjlib-util/docs/header.html	(revision 3677)
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
-<title>$title</title>
+<title>$title ($projectnumber)</title>
 <link href="/style/style.css" rel="stylesheet" type="text/css">
 </head><body>
Index: pjproject/branches/1.x/pjlib/build/Makefile
===================================================================
--- pjproject/branches/1.x/pjlib/build/Makefile	(revision 3674)
+++ pjproject/branches/1.x/pjlib/build/Makefile	(revision 3677)
@@ -1,3 +1,4 @@
 include ../../build.mak
+include ../../version.mak
 include $(PJDIR)/build/common.mak
 
@@ -58,10 +59,13 @@
 
 doc:
-	cd .. && rm -rf docs/html docs/latex && doxygen docs/doxygen.cfg
-	@if [ -n "$(WWWDIR)" ]; then \
-		echo "Copying to $(WWWDIR)/pjlib/docs/html.." ; \
-		cp -a ../docs/html/* $(WWWDIR)/pjlib/docs/html/ ; \
+	cd .. && rm -rf docs/$(PJ_VERSION) && doxygen docs/doxygen.cfg
+	@if [ -n "$(WWWDIR)" ] && ! [ -d "$(WWWDIR)/docs/$(PJ_VERSION)/pjlib/docs/html" ] ; then \
+		echo "Creating docs/$(PJ_VERSION)/pjlib/docs/html" ; \
+		mkdir -p $(WWWDIR)/docs/$(PJ_VERSION)/pjlib/docs/html ; \
+	fi 
+	@if [ -n "$(WWWDIR)" ] && [ -d "$(WWWDIR)/docs/$(PJ_VERSION)/pjlib/docs/html" ] ; then \
+		echo "Copying docs/$(PJ_VERSION) to $(WWWDIR)/docs/$(PJ_VERSION)/pjlib/docs/html.." ; \
+		cp -v -a ../docs/$(PJ_VERSION)/html/* $(WWWDIR)/docs/$(PJ_VERSION)/pjlib/docs/html/ ; \
 	fi
-
 print:
 	$(MAKE) -f $(RULES_MAK) APP=PJLIB app=pjlib print_lib
Index: pjproject/branches/1.x/pjlib/docs/doxygen.cfg
===================================================================
--- pjproject/branches/1.x/pjlib/docs/doxygen.cfg	(revision 3674)
+++ pjproject/branches/1.x/pjlib/docs/doxygen.cfg	(revision 3677)
@@ -24,5 +24,5 @@
 # if some version control system is used.
 
-PROJECT_NUMBER         = 
+PROJECT_NUMBER         = $(PJ_VERSION)
 
 # The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute) 
@@ -31,5 +31,5 @@
 # where doxygen was started. If left blank the current directory will be used.
 
-OUTPUT_DIRECTORY       = docs
+OUTPUT_DIRECTORY       = docs/$(PJ_VERSION)
 
 # The OUTPUT_LANGUAGE tag is used to specify the language in which all 
Index: pjproject/branches/1.x/pjlib/docs/header.html
===================================================================
--- pjproject/branches/1.x/pjlib/docs/header.html	(revision 3674)
+++ pjproject/branches/1.x/pjlib/docs/header.html	(revision 3677)
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
-<title>$title</title>
+<title>$title ($projectnumber)</title>
 <link href="/style/style.css" rel="stylesheet" type="text/css">
 </head><body>
Index: pjproject/branches/1.x/pjmedia/build/Makefile
===================================================================
--- pjproject/branches/1.x/pjmedia/build/Makefile	(revision 3674)
+++ pjproject/branches/1.x/pjmedia/build/Makefile	(revision 3677)
@@ -1,3 +1,4 @@
 include ../../build.mak
+include ../../version.mak
 
 THIRD_PARTY:=$(PJDIR)/third_party
@@ -123,9 +124,12 @@
 
 doc:
-	cd .. && rm -rf docs/html docs/latex && doxygen docs/doxygen.cfg
-	@if [ -n "$(WWWDIR)" ]; then \
-		echo "Copying to $(WWWDIR)/pjmedia/docs/html.." ; \
-		rm -rf $(WWWDIR)/pjmedia/docs/html/* ; \
-		cp -a ../docs/html/* $(WWWDIR)/pjmedia/docs/html/ ; \
+	cd .. && rm -rf docs/$(PJ_VERSION) && doxygen docs/doxygen.cfg
+	@if [ -n "$(WWWDIR)" ] && ! [ -d "$(WWWDIR)/docs/$(PJ_VERSION)/pjmedia/docs/html" ] ; then \
+		echo "Creating docs/$(PJ_VERSION)/pjmedia/docs/html" ; \
+		mkdir -p $(WWWDIR)/docs/$(PJ_VERSION)/pjmedia/docs/html ; \
+	fi 
+	@if [ -n "$(WWWDIR)" ] && [ -d "$(WWWDIR)/docs/$(PJ_VERSION)/pjmedia/docs/html" ] ; then \
+		echo "Copying docs/$(PJ_VERSION) to $(WWWDIR)/docs/$(PJ_VERSION)/pjmedia/docs/html.." ; \
+		cp -v -a ../docs/$(PJ_VERSION)/html/* $(WWWDIR)/docs/$(PJ_VERSION)/pjmedia/docs/html/ ; \
 	fi
 
Index: pjproject/branches/1.x/pjmedia/docs/doxygen.cfg
===================================================================
--- pjproject/branches/1.x/pjmedia/docs/doxygen.cfg	(revision 3674)
+++ pjproject/branches/1.x/pjmedia/docs/doxygen.cfg	(revision 3677)
@@ -24,5 +24,5 @@
 # if some version control system is used.
 
-PROJECT_NUMBER         = 
+PROJECT_NUMBER         = $(PJ_VERSION)
 
 # The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute) 
@@ -31,5 +31,5 @@
 # where doxygen was started. If left blank the current directory will be used.
 
-OUTPUT_DIRECTORY       = docs
+OUTPUT_DIRECTORY       = docs/$(PJ_VERSION)
 
 # The OUTPUT_LANGUAGE tag is used to specify the language in which all 
Index: pjproject/branches/1.x/pjmedia/docs/header.html
===================================================================
--- pjproject/branches/1.x/pjmedia/docs/header.html	(revision 3674)
+++ pjproject/branches/1.x/pjmedia/docs/header.html	(revision 3677)
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
-<title>$title</title>
+<title>$title ($projectnumber)</title>
 <link href="/style/style.css" rel="stylesheet" type="text/css">
 </head><body>
Index: pjproject/branches/1.x/pjnath/build/Makefile
===================================================================
--- pjproject/branches/1.x/pjnath/build/Makefile	(revision 3674)
+++ pjproject/branches/1.x/pjnath/build/Makefile	(revision 3677)
@@ -4,4 +4,5 @@
 
 include ../../build.mak
+include ../../version.mak
 include $(PJDIR)/build/common.mak
 
@@ -79,8 +80,12 @@
 
 doc:
-	cd .. && rm -rf docs/html docs/latex && doxygen docs/doxygen.cfg
-	@if [ -n "$(WWWDIR)" ]; then \
-		echo "Copying to $(WWWDIR)/pjnath/docs/html.." ; \
-		cp -a ../docs/html/* $(WWWDIR)/pjnath/docs/html/ ; \
+	cd .. && rm -rf docs/$(PJ_VERSION) && doxygen docs/doxygen.cfg
+	@if [ -n "$(WWWDIR)" ] && ! [ -d "$(WWWDIR)/docs/$(PJ_VERSION)/pjnath/docs/html" ] ; then \
+		echo "Creating docs/$(PJ_VERSION)/pjnath/docs/html" ; \
+		mkdir -p $(WWWDIR)/docs/$(PJ_VERSION)/pjnath/docs/html ; \
+	fi 
+	@if [ -n "$(WWWDIR)" ] && [ -d "$(WWWDIR)/docs/$(PJ_VERSION)/pjnath/docs/html" ] ; then \
+		echo "Copying docs/$(PJ_VERSION) to $(WWWDIR)/docs/$(PJ_VERSION)/pjnath/docs/html.." ; \
+		cp -v -a ../docs/$(PJ_VERSION)/html/* $(WWWDIR)/docs/$(PJ_VERSION)/pjnath/docs/html/ ; \
 	fi
 
Index: pjproject/branches/1.x/pjnath/docs/doxygen.cfg
===================================================================
--- pjproject/branches/1.x/pjnath/docs/doxygen.cfg	(revision 3674)
+++ pjproject/branches/1.x/pjnath/docs/doxygen.cfg	(revision 3677)
@@ -24,5 +24,5 @@
 # if some version control system is used.
 
-PROJECT_NUMBER         = 
+PROJECT_NUMBER         = $(PJ_VERSION)
 
 # The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute) 
@@ -31,5 +31,5 @@
 # where doxygen was started. If left blank the current directory will be used.
 
-OUTPUT_DIRECTORY       = docs
+OUTPUT_DIRECTORY       = docs/$(PJ_VERSION)
 
 # The OUTPUT_LANGUAGE tag is used to specify the language in which all 
Index: pjproject/branches/1.x/pjnath/docs/header.html
===================================================================
--- pjproject/branches/1.x/pjnath/docs/header.html	(revision 3674)
+++ pjproject/branches/1.x/pjnath/docs/header.html	(revision 3677)
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
-<title>$title</title>
+<title>$title ($projectnumber)</title>
 <link href="/style/style.css" rel="stylesheet" type="text/css">
 </head><body>
Index: pjproject/branches/1.x/pjsip/build/Makefile
===================================================================
--- pjproject/branches/1.x/pjsip/build/Makefile	(revision 3674)
+++ pjproject/branches/1.x/pjsip/build/Makefile	(revision 3677)
@@ -5,4 +5,5 @@
 
 include ../../build.mak
+include ../../version.mak
 include $(PJDIR)/build/common.mak
 
@@ -110,8 +111,12 @@
 
 doc:
-	cd .. && rm -rf docs/html docs/latex && doxygen docs/doxygen.cfg
-	@if [ -n "$(WWWDIR)" ]; then \
-		echo "Copying to $(WWWDIR)/pjsip/docs/html.." ; \
-		cp -a ../docs/html/* $(WWWDIR)/pjsip/docs/html/ ; \
+	cd .. && rm -rf docs/$(PJ_VERSION) && doxygen docs/doxygen.cfg
+	@if [ -n "$(WWWDIR)" ] && ! [ -d "$(WWWDIR)/docs/$(PJ_VERSION)/pjsip/docs/html" ] ; then \
+		echo "Creating docs/$(PJ_VERSION)/pjsip/docs/html" ; \
+		mkdir -p $(WWWDIR)/docs/$(PJ_VERSION)/pjsip/docs/html ; \
+	fi 
+	@if [ -n "$(WWWDIR)" ] && [ -d "$(WWWDIR)/docs/$(PJ_VERSION)/pjsip/docs/html" ] ; then \
+		echo "Copying docs/$(PJ_VERSION) to $(WWWDIR)/docs/$(PJ_VERSION)/pjsip/docs/html.." ; \
+		cp -v -a ../docs/$(PJ_VERSION)/html/* $(WWWDIR)/docs/$(PJ_VERSION)/pjsip/docs/html/ ; \
 	fi
 
Index: pjproject/branches/1.x/pjsip/docs/doxygen.cfg
===================================================================
--- pjproject/branches/1.x/pjsip/docs/doxygen.cfg	(revision 3674)
+++ pjproject/branches/1.x/pjsip/docs/doxygen.cfg	(revision 3677)
@@ -24,5 +24,5 @@
 # if some version control system is used.
 
-PROJECT_NUMBER         = 
+PROJECT_NUMBER         = $(PJ_VERSION)
 
 # The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute) 
@@ -31,5 +31,5 @@
 # where doxygen was started. If left blank the current directory will be used.
 
-OUTPUT_DIRECTORY       = docs
+OUTPUT_DIRECTORY       = docs/$(PJ_VERSION)
 
 # The OUTPUT_LANGUAGE tag is used to specify the language in which all 
Index: pjproject/branches/1.x/pjsip/docs/header.html
===================================================================
--- pjproject/branches/1.x/pjsip/docs/header.html	(revision 3674)
+++ pjproject/branches/1.x/pjsip/docs/header.html	(revision 3677)
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
-<title>$title</title>
+<title>$title ($projectnumber)</title>
 <link href="/style/style.css" rel="stylesheet" type="text/css">
 </head><body>