Index: pjproject/trunk/pjsip-apps/src/vidgui/Makefile
===================================================================
--- pjproject/trunk/pjsip-apps/src/vidgui/Makefile	(revision 3686)
+++ 	(revision )
@@ -1,271 +1,0 @@
-#############################################################################
-# Makefile for building: vidgui.app/Contents/MacOS/vidgui
-# Generated by qmake (2.01a) (Qt 4.7.3) on: Fri Jul 29 19:21:47 2011
-# Project:  vidgui.pro
-# Template: app
-# Command: /usr/bin/qmake -spec /usr/local/Qt4.7/mkspecs/macx-g++ -o Makefile vidgui.pro
-#############################################################################
-
-PJBASE=/Users/nanang/project/pj
-include $(PJBASE)/build.mak
-
-####### Compiler, tools and options
-
-CC            = gcc
-CXX           = g++
-DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -ObjC -pipe -g -gdwarf-2 -Wall -W $(DEFINES) $(PJ_CFLAGS)
-CXXFLAGS      = -ObjC++ -pipe -g -gdwarf-2 -Wall -W $(DEFINES) $(PJ_CFLAGS)
-INCPATH       = -I/usr/local/Qt4.7/mkspecs/macx-g++ -I. -I/Library/Frameworks/QtCore.framework/Versions/4/Headers -I/usr/include/QtCore -I/Library/Frameworks/QtGui.framework/Versions/4/Headers -I/usr/include/QtGui -I/usr/include -I. -I. -F/Library/Frameworks
-LINK          = g++
-LFLAGS        = -headerpad_max_install_names
-LIBS          = $(SUBLIBS) $(PJ_LDFLAGS) $(PJ_LDLIBS) -F/Library/Frameworks -L/Library/Frameworks -framework QtGui -framework QtCore 
-AR            = ar cq
-RANLIB        = ranlib -s
-QMAKE         = /usr/bin/qmake
-TAR           = tar -cf
-COMPRESS      = gzip -9f
-COPY          = cp -f
-SED           = sed
-COPY_FILE     = cp -f
-COPY_DIR      = cp -f -R
-STRIP         = 
-INSTALL_FILE  = $(COPY_FILE)
-INSTALL_DIR   = $(COPY_DIR)
-INSTALL_PROGRAM = $(COPY_FILE)
-DEL_FILE      = rm -f
-SYMLINK       = ln -f -s
-DEL_DIR       = rmdir
-MOVE          = mv -f
-CHK_DIR_EXISTS= test -d
-MKDIR         = mkdir -p
-export MACOSX_DEPLOYMENT_TARGET = 10.4
-
-####### Output directory
-
-OBJECTS_DIR   = ./
-
-####### Files
-
-SOURCES       = vidgui.cpp \
-		vidwin.cpp moc_vidgui.cpp \
-		moc_vidwin.cpp
-OBJECTS       = vidgui.o \
-		vidwin.o \
-		moc_vidgui.o \
-		moc_vidwin.o
-DIST          = /usr/local/Qt4.7/mkspecs/common/unix.conf \
-		/usr/local/Qt4.7/mkspecs/common/mac.conf \
-		/usr/local/Qt4.7/mkspecs/common/mac-g++.conf \
-		/usr/local/Qt4.7/mkspecs/qconfig.pri \
-		/usr/local/Qt4.7/mkspecs/modules/qt_webkit_version.pri \
-		/usr/local/Qt4.7/mkspecs/features/qt_functions.prf \
-		/usr/local/Qt4.7/mkspecs/features/qt_config.prf \
-		/usr/local/Qt4.7/mkspecs/features/exclusive_builds.prf \
-		/usr/local/Qt4.7/mkspecs/features/default_pre.prf \
-		/usr/local/Qt4.7/mkspecs/features/mac/default_pre.prf \
-		/usr/local/Qt4.7/mkspecs/features/mac/dwarf2.prf \
-		/usr/local/Qt4.7/mkspecs/features/debug.prf \
-		/usr/local/Qt4.7/mkspecs/features/default_post.prf \
-		/usr/local/Qt4.7/mkspecs/features/mac/default_post.prf \
-		/usr/local/Qt4.7/mkspecs/features/mac/objective_c.prf \
-		/usr/local/Qt4.7/mkspecs/features/warn_on.prf \
-		/usr/local/Qt4.7/mkspecs/features/qt.prf \
-		/usr/local/Qt4.7/mkspecs/features/unix/thread.prf \
-		/usr/local/Qt4.7/mkspecs/features/moc.prf \
-		/usr/local/Qt4.7/mkspecs/features/mac/rez.prf \
-		/usr/local/Qt4.7/mkspecs/features/mac/sdk.prf \
-		/usr/local/Qt4.7/mkspecs/features/resources.prf \
-		/usr/local/Qt4.7/mkspecs/features/uic.prf \
-		/usr/local/Qt4.7/mkspecs/features/yacc.prf \
-		/usr/local/Qt4.7/mkspecs/features/lex.prf \
-		/usr/local/Qt4.7/mkspecs/features/include_source_dir.prf \
-		vidgui.pro
-QMAKE_TARGET  = vidgui
-DESTDIR       = 
-TARGET        = vidgui.app/Contents/MacOS/vidgui
-
-####### Custom Compiler Variables
-QMAKE_COMP_QMAKE_OBJECTIVE_CFLAGS = -pipe \
-		-g \
-		-gdwarf-2 \
-		-Wall \
-		-W
-
-
-first: all
-####### Implicit rules
-
-.SUFFIXES: .o .c .cpp .cc .cxx .C
-
-.cpp.o:
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"
-
-.cc.o:
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"
-
-.cxx.o:
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"
-
-.C.o:
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"
-
-.c.o:
-	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"
-
-####### Build rules
-
-all: Makefile vidgui.app/Contents/PkgInfo vidgui.app/Contents/Resources/empty.lproj vidgui.app/Contents/Info.plist $(TARGET)
-
-$(TARGET):  $(OBJECTS)  
-	@$(CHK_DIR_EXISTS) vidgui.app/Contents/MacOS/ || $(MKDIR) vidgui.app/Contents/MacOS/ 
-	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
-
-Makefile: vidgui.pro  /usr/local/Qt4.7/mkspecs/macx-g++/qmake.conf /usr/local/Qt4.7/mkspecs/common/unix.conf \
-		/usr/local/Qt4.7/mkspecs/common/mac.conf \
-		/usr/local/Qt4.7/mkspecs/common/mac-g++.conf \
-		/usr/local/Qt4.7/mkspecs/qconfig.pri \
-		/usr/local/Qt4.7/mkspecs/modules/qt_webkit_version.pri \
-		/usr/local/Qt4.7/mkspecs/features/qt_functions.prf \
-		/usr/local/Qt4.7/mkspecs/features/qt_config.prf \
-		/usr/local/Qt4.7/mkspecs/features/exclusive_builds.prf \
-		/usr/local/Qt4.7/mkspecs/features/default_pre.prf \
-		/usr/local/Qt4.7/mkspecs/features/mac/default_pre.prf \
-		/usr/local/Qt4.7/mkspecs/features/mac/dwarf2.prf \
-		/usr/local/Qt4.7/mkspecs/features/debug.prf \
-		/usr/local/Qt4.7/mkspecs/features/default_post.prf \
-		/usr/local/Qt4.7/mkspecs/features/mac/default_post.prf \
-		/usr/local/Qt4.7/mkspecs/features/mac/objective_c.prf \
-		/usr/local/Qt4.7/mkspecs/features/warn_on.prf \
-		/usr/local/Qt4.7/mkspecs/features/qt.prf \
-		/usr/local/Qt4.7/mkspecs/features/unix/thread.prf \
-		/usr/local/Qt4.7/mkspecs/features/moc.prf \
-		/usr/local/Qt4.7/mkspecs/features/mac/rez.prf \
-		/usr/local/Qt4.7/mkspecs/features/mac/sdk.prf \
-		/usr/local/Qt4.7/mkspecs/features/resources.prf \
-		/usr/local/Qt4.7/mkspecs/features/uic.prf \
-		/usr/local/Qt4.7/mkspecs/features/yacc.prf \
-		/usr/local/Qt4.7/mkspecs/features/lex.prf \
-		/usr/local/Qt4.7/mkspecs/features/include_source_dir.prf \
-		/Library/Frameworks/QtGui.framework/QtGui.prl \
-		/Library/Frameworks/QtCore.framework/QtCore.prl
-	$(QMAKE) -spec /usr/local/Qt4.7/mkspecs/macx-g++ -o Makefile vidgui.pro
-/usr/local/Qt4.7/mkspecs/common/unix.conf:
-/usr/local/Qt4.7/mkspecs/common/mac.conf:
-/usr/local/Qt4.7/mkspecs/common/mac-g++.conf:
-/usr/local/Qt4.7/mkspecs/qconfig.pri:
-/usr/local/Qt4.7/mkspecs/modules/qt_webkit_version.pri:
-/usr/local/Qt4.7/mkspecs/features/qt_functions.prf:
-/usr/local/Qt4.7/mkspecs/features/qt_config.prf:
-/usr/local/Qt4.7/mkspecs/features/exclusive_builds.prf:
-/usr/local/Qt4.7/mkspecs/features/default_pre.prf:
-/usr/local/Qt4.7/mkspecs/features/mac/default_pre.prf:
-/usr/local/Qt4.7/mkspecs/features/mac/dwarf2.prf:
-/usr/local/Qt4.7/mkspecs/features/debug.prf:
-/usr/local/Qt4.7/mkspecs/features/default_post.prf:
-/usr/local/Qt4.7/mkspecs/features/mac/default_post.prf:
-/usr/local/Qt4.7/mkspecs/features/mac/objective_c.prf:
-/usr/local/Qt4.7/mkspecs/features/warn_on.prf:
-/usr/local/Qt4.7/mkspecs/features/qt.prf:
-/usr/local/Qt4.7/mkspecs/features/unix/thread.prf:
-/usr/local/Qt4.7/mkspecs/features/moc.prf:
-/usr/local/Qt4.7/mkspecs/features/mac/rez.prf:
-/usr/local/Qt4.7/mkspecs/features/mac/sdk.prf:
-/usr/local/Qt4.7/mkspecs/features/resources.prf:
-/usr/local/Qt4.7/mkspecs/features/uic.prf:
-/usr/local/Qt4.7/mkspecs/features/yacc.prf:
-/usr/local/Qt4.7/mkspecs/features/lex.prf:
-/usr/local/Qt4.7/mkspecs/features/include_source_dir.prf:
-/Library/Frameworks/QtGui.framework/QtGui.prl:
-/Library/Frameworks/QtCore.framework/QtCore.prl:
-qmake:  FORCE
-	@$(QMAKE) -spec /usr/local/Qt4.7/mkspecs/macx-g++ -o Makefile vidgui.pro
-
-vidgui.app/Contents/PkgInfo: 
-	@$(CHK_DIR_EXISTS) vidgui.app/Contents || $(MKDIR) vidgui.app/Contents 
-	@$(DEL_FILE) vidgui.app/Contents/PkgInfo
-	@echo "APPL????" >vidgui.app/Contents/PkgInfo
-vidgui.app/Contents/Resources/empty.lproj: 
-	@$(CHK_DIR_EXISTS) vidgui.app/Contents/Resources || $(MKDIR) vidgui.app/Contents/Resources 
-	@touch vidgui.app/Contents/Resources/empty.lproj
-	
-vidgui.app/Contents/Info.plist: 
-	@$(CHK_DIR_EXISTS) vidgui.app/Contents || $(MKDIR) vidgui.app/Contents 
-	@$(DEL_FILE) vidgui.app/Contents/Info.plist
-	@sed -e "s,@ICON@,,g" -e "s,@EXECUTABLE@,vidgui,g" -e "s,@TYPEINFO@,????,g" /usr/local/Qt4.7/mkspecs/macx-g++/Info.plist.app >vidgui.app/Contents/Info.plist
-dist: 
-	@$(CHK_DIR_EXISTS) .tmp/vidgui1.0.0 || $(MKDIR) .tmp/vidgui1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/vidgui1.0.0/ && $(COPY_FILE) --parents vidgui.h vidwin.h .tmp/vidgui1.0.0/ && $(COPY_FILE) --parents vidgui.cpp vidwin.cpp .tmp/vidgui1.0.0/ && (cd `dirname .tmp/vidgui1.0.0` && $(TAR) vidgui1.0.0.tar vidgui1.0.0 && $(COMPRESS) vidgui1.0.0.tar) && $(MOVE) `dirname .tmp/vidgui1.0.0`/vidgui1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/vidgui1.0.0
-
-
-clean:compiler_clean 
-	-$(DEL_FILE) $(OBJECTS)
-	-$(DEL_FILE) *~ core *.core
-
-
-####### Sub-libraries
-
-distclean: clean
-	-$(DEL_FILE) -r vidgui.app
-	-$(DEL_FILE) Makefile
-
-
-check: first
-
-mocclean: compiler_moc_header_clean compiler_moc_source_clean
-
-mocables: compiler_moc_header_make_all compiler_moc_source_make_all
-
-compiler_objective_c_make_all:
-compiler_objective_c_clean:
-compiler_moc_header_make_all: moc_vidgui.cpp moc_vidwin.cpp
-compiler_moc_header_clean:
-	-$(DEL_FILE) moc_vidgui.cpp moc_vidwin.cpp
-moc_vidgui.cpp: vidgui.h
-	/Developer/Tools/Qt/moc $(DEFINES) $(INCPATH) -D__APPLE__ -D__GNUC__ vidgui.h -o moc_vidgui.cpp
-
-moc_vidwin.cpp: vidwin.h
-	/Developer/Tools/Qt/moc $(DEFINES) $(INCPATH) -D__APPLE__ -D__GNUC__ vidwin.h -o moc_vidwin.cpp
-
-compiler_rcc_make_all:
-compiler_rcc_clean:
-compiler_image_collection_make_all: qmake_image_collection.cpp
-compiler_image_collection_clean:
-	-$(DEL_FILE) qmake_image_collection.cpp
-compiler_moc_source_make_all:
-compiler_moc_source_clean:
-compiler_rez_source_make_all:
-compiler_rez_source_clean:
-compiler_uic_make_all:
-compiler_uic_clean:
-compiler_yacc_decl_make_all:
-compiler_yacc_decl_clean:
-compiler_yacc_impl_make_all:
-compiler_yacc_impl_clean:
-compiler_lex_make_all:
-compiler_lex_clean:
-compiler_clean: compiler_moc_header_clean 
-
-####### Compile
-
-vidgui.o: vidgui.cpp vidgui.h \
-		vidwin.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o vidgui.o vidgui.cpp
-
-vidwin.o: vidwin.cpp vidwin.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o vidwin.o vidwin.cpp
-
-moc_vidgui.o: moc_vidgui.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_vidgui.o moc_vidgui.cpp
-
-moc_vidwin.o: moc_vidwin.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_vidwin.o moc_vidwin.cpp
-
-####### Install
-
-install:   FORCE
-
-uninstall:   FORCE
-
-FORCE:
-
Index: pjproject/trunk/pjsip-apps/src/vidgui/moc_vidgui.cpp
===================================================================
--- pjproject/trunk/pjsip-apps/src/vidgui/moc_vidgui.cpp	(revision 3686)
+++ 	(revision )
@@ -1,86 +1,0 @@
-/****************************************************************************
-** Meta object code from reading C++ file 'vidgui.h'
-**
-** Created: Fri Jul 29 21:57:30 2011
-**      by: The Qt Meta Object Compiler version 62 (Qt 4.7.3)
-**
-** WARNING! All changes made in this file will be lost!
-*****************************************************************************/
-
-#include "vidgui.h"
-#if !defined(Q_MOC_OUTPUT_REVISION)
-#error "The header file 'vidgui.h' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 62
-#error "This file was generated using the moc from 4.7.3. It"
-#error "cannot be used with the include files from this version of Qt."
-#error "(The moc has changed too much.)"
-#endif
-
-QT_BEGIN_MOC_NAMESPACE
-static const uint qt_meta_data_MainWin[] = {
-
- // content:
-       5,       // revision
-       0,       // classname
-       0,    0, // classinfo
-       4,   14, // methods
-       0,    0, // properties
-       0,    0, // enums/sets
-       0,    0, // constructors
-       0,       // flags
-       0,       // signalCount
-
- // slots: signature, parameters, type, tag, flags
-       9,    8,    8,    8, 0x0a,
-      19,    8,    8,    8, 0x0a,
-      26,    8,    8,    8, 0x0a,
-      35,    8,    8,    8, 0x0a,
-
-       0        // eod
-};
-
-static const char qt_meta_stringdata_MainWin[] = {
-    "MainWin\0\0preview()\0call()\0hangup()\0"
-    "quit()\0"
-};
-
-const QMetaObject MainWin::staticMetaObject = {
-    { &QWidget::staticMetaObject, qt_meta_stringdata_MainWin,
-      qt_meta_data_MainWin, 0 }
-};
-
-#ifdef Q_NO_DATA_RELOCATION
-const QMetaObject &MainWin::getStaticMetaObject() { return staticMetaObject; }
-#endif //Q_NO_DATA_RELOCATION
-
-const QMetaObject *MainWin::metaObject() const
-{
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
-}
-
-void *MainWin::qt_metacast(const char *_clname)
-{
-    if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_MainWin))
-        return static_cast<void*>(const_cast< MainWin*>(this));
-    return QWidget::qt_metacast(_clname);
-}
-
-int MainWin::qt_metacall(QMetaObject::Call _c, int _id, void **_a)
-{
-    _id = QWidget::qt_metacall(_c, _id, _a);
-    if (_id < 0)
-        return _id;
-    if (_c == QMetaObject::InvokeMetaMethod) {
-        switch (_id) {
-        case 0: preview(); break;
-        case 1: call(); break;
-        case 2: hangup(); break;
-        case 3: quit(); break;
-        default: ;
-        }
-        _id -= 4;
-    }
-    return _id;
-}
-QT_END_MOC_NAMESPACE
Index: pjproject/trunk/pjsip-apps/src/vidgui/moc_vidwin.cpp
===================================================================
--- pjproject/trunk/pjsip-apps/src/vidgui/moc_vidwin.cpp	(revision 3686)
+++ 	(revision )
@@ -1,69 +1,0 @@
-/****************************************************************************
-** Meta object code from reading C++ file 'vidwin.h'
-**
-** Created: Fri Jul 29 21:57:33 2011
-**      by: The Qt Meta Object Compiler version 62 (Qt 4.7.3)
-**
-** WARNING! All changes made in this file will be lost!
-*****************************************************************************/
-
-#include "vidwin.h"
-#if !defined(Q_MOC_OUTPUT_REVISION)
-#error "The header file 'vidwin.h' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 62
-#error "This file was generated using the moc from 4.7.3. It"
-#error "cannot be used with the include files from this version of Qt."
-#error "(The moc has changed too much.)"
-#endif
-
-QT_BEGIN_MOC_NAMESPACE
-static const uint qt_meta_data_VidWin[] = {
-
- // content:
-       5,       // revision
-       0,       // classname
-       0,    0, // classinfo
-       0,    0, // methods
-       0,    0, // properties
-       0,    0, // enums/sets
-       0,    0, // constructors
-       0,       // flags
-       0,       // signalCount
-
-       0        // eod
-};
-
-static const char qt_meta_stringdata_VidWin[] = {
-    "VidWin\0"
-};
-
-const QMetaObject VidWin::staticMetaObject = {
-    { &QWidget::staticMetaObject, qt_meta_stringdata_VidWin,
-      qt_meta_data_VidWin, 0 }
-};
-
-#ifdef Q_NO_DATA_RELOCATION
-const QMetaObject &VidWin::getStaticMetaObject() { return staticMetaObject; }
-#endif //Q_NO_DATA_RELOCATION
-
-const QMetaObject *VidWin::metaObject() const
-{
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
-}
-
-void *VidWin::qt_metacast(const char *_clname)
-{
-    if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_VidWin))
-        return static_cast<void*>(const_cast< VidWin*>(this));
-    return QWidget::qt_metacast(_clname);
-}
-
-int VidWin::qt_metacall(QMetaObject::Call _c, int _id, void **_a)
-{
-    _id = QWidget::qt_metacall(_c, _id, _a);
-    if (_id < 0)
-        return _id;
-    return _id;
-}
-QT_END_MOC_NAMESPACE
Index: pjproject/trunk/pjsip-apps/src/vidgui/pj-pkgconfig.mak
===================================================================
--- pjproject/trunk/pjsip-apps/src/vidgui/pj-pkgconfig.mak	(revision 3687)
+++ pjproject/trunk/pjsip-apps/src/vidgui/pj-pkgconfig.mak	(revision 3687)
@@ -0,0 +1,10 @@
+include ../../../build.mak
+
+cflags:
+	@echo $(PJ_CFLAGS) $(CFLAGS)
+
+cxxflags: cflags
+
+ldflags:
+	@echo $(PJ_LDFLAGS) $(PJ_LDLIBS) $(LDFLAGS)
+
Index: pjproject/trunk/pjsip-apps/src/vidgui/vidgui.pro
===================================================================
--- pjproject/trunk/pjsip-apps/src/vidgui/vidgui.pro	(revision 3687)
+++ pjproject/trunk/pjsip-apps/src/vidgui/vidgui.pro	(revision 3687)
@@ -0,0 +1,20 @@
+win32 {
+  DEFINES += PJ_WIN32=1
+  LIBS += ../../../lib/pjproject.lib Iphlpapi.lib  dsound.lib \
+  	  dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib \
+  	  odbccp32.lib ole32.lib user32.lib gdi32.lib advapi32.lib 
+} else {
+  LIBS += $$system(make -f pj-pkgconfig.mak ldflags)
+  QMAKE_CXXFLAGS += $$system(make -f pj-pkgconfig.mak cflags)
+}
+
+
+TEMPLATE = app
+CONFIG += thread debug
+TARGET = 
+DEPENDPATH += .
+
+# Input
+HEADERS += vidgui.h vidwin.h
+SOURCES += vidgui.cpp vidwin.cpp 
+