Index: pjproject/trunk/pjsip-apps/src/pjsua/pjsua_app.c
===================================================================
--- pjproject/trunk/pjsip-apps/src/pjsua/pjsua_app.c	(revision 3693)
+++ pjproject/trunk/pjsip-apps/src/pjsua/pjsua_app.c	(revision 3694)
@@ -3779,4 +3779,6 @@
 	pjsua_call_vid_strm_op_param param;
 
+	pjsua_call_vid_strm_op_param_default(&param);
+
 	if (argc == 5 && strcmp(argv[2], "rx")==0) {
 	    pjsua_stream_info si;
Index: pjproject/trunk/pjsip/include/pjsua-lib/pjsua.h
===================================================================
--- pjproject/trunk/pjsip/include/pjsua-lib/pjsua.h	(revision 3693)
+++ pjproject/trunk/pjsip/include/pjsua-lib/pjsua.h	(revision 3694)
@@ -3304,4 +3304,9 @@
 {
     /**
+     * No operation
+     */
+    PJSUA_CALL_VID_STRM_NO_OP,
+
+    /**
      * Add a new video stream. This will add a new m=video line to
      * the media, regardless of whether existing video is/are present
@@ -3351,5 +3356,7 @@
 
 /**
- * Parameters for video stream operation on a call.
+ * Parameters for video stream operation on a call. Application should
+ * use #pjsua_call_vid_strm_op_param_default() to initialize this structure
+ * with its default values.
  */
 typedef struct pjsua_call_vid_strm_op_param
@@ -3386,9 +3393,18 @@
      * PJSUA_CALL_VID_STRM_ADD and PJSUA_CALL_VID_STRM_CHANGE_CAP_DEV.
      *
-     * Default: capture device configured in account.
+     * Default: PJMEDIA_VID_DEFAULT_CAPTURE_DEV.
      */
     pjmedia_vid_dev_index cap_dev;
 
 } pjsua_call_vid_strm_op_param;
+
+
+/**
+ * Initialize video stream operation param with default values.
+ *
+ * @param param		The video stream operation param to be initialized.
+ */
+PJ_DECL(void)
+pjsua_call_vid_strm_op_param_default(pjsua_call_vid_strm_op_param *param);
 
 
@@ -3889,7 +3905,8 @@
  * @return		PJ_SUCCESS on success or the appropriate error.
  */
-PJ_DECL(pj_status_t) pjsua_call_get_transport_info(pjsua_call_id call_id,
-                                                   unsigned med_idx,
-                                                   pjmedia_transport_info *t);
+PJ_DECL(pj_status_t) 
+pjsua_call_get_med_transport_info(pjsua_call_id call_id,
+                                  unsigned med_idx,
+                                  pjmedia_transport_info *t);
 
 
Index: pjproject/trunk/pjsip/src/pjsua-lib/pjsua_call.c
===================================================================
--- pjproject/trunk/pjsip/src/pjsua-lib/pjsua_call.c	(revision 3693)
+++ pjproject/trunk/pjsip/src/pjsua-lib/pjsua_call.c	(revision 3694)
@@ -1537,7 +1537,8 @@
  * Get media transport info for the specified media index.
  */
-PJ_DEF(pj_status_t) pjsua_call_get_transport_info( pjsua_call_id call_id,
-                                                   unsigned med_idx,
-                                                   pjmedia_transport_info *t)
+PJ_DEF(pj_status_t) 
+pjsua_call_get_med_transport_info(pjsua_call_id call_id,
+                                  unsigned med_idx,
+                                  pjmedia_transport_info *t)
 {
     pjsua_call *call;
Index: pjproject/trunk/pjsip/src/pjsua-lib/pjsua_vid.c
===================================================================
--- pjproject/trunk/pjsip/src/pjsua-lib/pjsua_vid.c	(revision 3693)
+++ pjproject/trunk/pjsip/src/pjsua-lib/pjsua_vid.c	(revision 3694)
@@ -108,4 +108,12 @@
 }
 
+PJ_DEF(void)
+pjsua_call_vid_strm_op_param_default(pjsua_call_vid_strm_op_param *param)
+{
+    pj_bzero(param, sizeof(*param));
+    param->med_idx = -1;
+    param->dir = PJMEDIA_DIR_ENCODING_DECODING;
+    param->cap_dev = PJMEDIA_VID_DEFAULT_CAPTURE_DEV;
+}
 
 /*****************************************************************************
@@ -1561,4 +1569,5 @@
     PJ_ASSERT_RETURN(call_id>=0 && call_id<(int)pjsua_var.ua_cfg.max_calls,
 		     PJ_EINVAL);
+    PJ_ASSERT_RETURN(op != PJSUA_CALL_VID_STRM_NO_OP, PJ_EINVAL);
 
     PJSUA_LOCK();
@@ -1569,7 +1578,5 @@
 	param_ = *param;
     } else {
-	param_.med_idx = -1;
-	param_.cap_dev = PJMEDIA_VID_DEFAULT_CAPTURE_DEV;
-	param_.dir = PJMEDIA_DIR_ENCODING_DECODING;
+	pjsua_call_vid_strm_op_param_default(&param_);
     }
 